# Created by pyp2rpm-3.3.7
%global pypi_name jupyterhub
%global pypi_version 3.1.0

%bcond_with docs

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        JupyterHub: A multi-user server for Jupyter notebooks

License:        BSD
URL:            https://jupyter.org
Source0:        %{pypi_name}-%{pypi_version}.tar.gz
Source1:        jupyterhub.service
Source2:        jupyterhub.sysconfig
Source3:        jupyterhub_config.py
BuildArch:      noarch

BuildRequires:  systemd
BuildRequires:  python3-devel
BuildRequires:  python3dist(alembic) >= 1.4
BuildRequires:  python3dist(async-generator) >= 1.9
BuildRequires:  python3dist(beautifulsoup4)
BuildRequires:  python3dist(certipy) >= 0.1.2
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(cryptography)
BuildRequires:  python3dist(entrypoints)
BuildRequires:  python3dist(jinja2) >= 2.11
BuildRequires:  python3dist(jsonschema)
BuildRequires:  python3dist(jupyter-telemetry) >= 0.1
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(oauthlib) >= 3
BuildRequires:  python3dist(packaging)
BuildRequires:  python3dist(pamela)
BuildRequires:  python3dist(prometheus-client) >= 0.4
BuildRequires:  python3dist(psutil) >= 5.6.5
BuildRequires:  python3dist(python-dateutil)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(requests-mock)
BuildRequires:  python3dist(selenium)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sqlalchemy) >= 1.1
BuildRequires:  python3dist(tornado) >= 5.1
BuildRequires:  python3dist(traitlets) >= 4.3.2
BuildRequires:  python3dist(virtualenv)
BuildRequires:  python3dist(sphinx)
BuildRequires:  nodejs-configurable-http-proxy

%description
With JupyterHub you can create a multi-user Hub that spawns, manages,
and proxies multiple instances of the single-user Jupyter notebook server.
Project Jupyter created JupyterHub to support many users. The Hub can offer
notebook servers to a class of students, a corporate data science workgroup,
a scientific research project, or a high-performance computing group.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(alembic) >= 1.4
Requires:       python3dist(async-generator) >= 1.9
Requires:       python3dist(beautifulsoup4)
Requires:       python3dist(certipy) >= 0.1.2
Requires:       python3dist(coverage)
Requires:       python3dist(cryptography)
Requires:       python3dist(jsonschema)
Requires:       python3dist(entrypoints)
Requires:       python3dist(jinja2) >= 2.11
Requires:       python3dist(jupyter-telemetry) >= 0.1
Requires:       python3dist(mock)
Requires:       python3dist(oauthlib) >= 3
Requires:       python3dist(packaging) >= 20.4
Requires:       python3dist(pamela)
Requires:       python3dist(prometheus-client) >= 0.4
Requires:       python3dist(psutil) >= 5.6.5
Requires:       python3dist(python-dateutil)
Requires:       python3dist(requests)
Requires:       python3dist(requests-mock)
Requires:       python3dist(selenium)
Requires:       python3dist(setuptools)
Requires:       python3dist(sqlalchemy) >= 1.1
Requires:       python3dist(tornado) >= 5.1
Requires:       python3dist(traitlets) >= 4.3.2
Requires:       python3dist(virtualenv)
Requires:       nodejs-configurable-http-proxy

%description -n python3-%{pypi_name}
With JupyterHub you can create a multi-user Hub that spawns, manages,
and proxies multiple instances of the single-user Jupyter notebook server.
Project Jupyter created JupyterHub to support many users. The Hub can offer
notebook servers to a class of students, a corporate data science workgroup,
a scientific research project, or a high-performance computing group.

%if %{with docs}
%package -n python-%{pypi_name}-doc
Summary:        jupyterhub documentation
%description -n python-%{pypi_name}-doc
Documentation for jupyterhub
%endif

%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%build
%py3_build

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_unitdir}/jupyterhub.service
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/jupyterhub
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/jupyterhub/jupyterhub_config.py
install -d $RPM_BUILD_ROOT%{_sharedstatedir}/jupyterhub

%check

%files -n python3-%{pypi_name}
%license COPYING.md
%doc README.md onbuild/README.md share/jupyterhub/static/components/bootstrap/README.md share/jupyterhub/static/components/font-awesome/README.md share/jupyterhub/static/components/jquery/README.md share/jupyterhub/static/components/moment/README.md share/jupyterhub/static/components/requirejs/README.md singleuser/README.md
%dir %{_sharedstatedir}/jupyterhub
%config(noreplace) %{_sysconfdir}/sysconfig/jupyterhub
%config(noreplace) %{_sysconfdir}/jupyterhub/jupyterhub_config.py
%{_bindir}/jupyterhub
%{_bindir}/jupyterhub-singleuser
%{_unitdir}/jupyterhub.service
%{_datadir}/jupyterhub/static/
%{_datadir}/jupyterhub/templates/
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%if %{with docs}
%files -n python-%{pypi_name}-doc
%doc html
%license COPYING.md 
%endif

%changelog
* Sat Jan 14 2023 Aram Minasyan <aram_dot_minasyan_at_yahoo_dot_com> - 3.1.0-1
- Update to latest version.

* Thu Mar 24 2022 Aram Minasyan <aram_dot_minasyan_at_yahoo_dot_com> - 2.2.2-3
- Added systemd unit files and post install config file generation

* Thu Mar 24 2022 Aram Minasyan <aram_dot_minasyan_at_yahoo_dot_com> - 2.2.2-2
- Update to 2.2.2-2

* Thu Oct 28 2021 Aram Minasyan <aram_dot_minasyan_at_yahoo_dot_com> - 1.4.2-1
- Initial package.
